• 0

    posted a message on XRay Mod (1.6.4 - 1.11) ( Vanilla/Forge/LiteLoader )
    Quote from AmbientOcclusion

    BIG UPDATE! FINALLY DONE!

    See the original post for more information.


    Thank you sir!
    Posted in: Minecraft Mods
  • 0

    posted a message on XRay Mod (1.6.4 - 1.11) ( Vanilla/Forge/LiteLoader )
    Quote from AmbientOcclusion

    I'm working on this :)

    I was unaware of that! I'll get working on it right away!

    This will be fixed in the next version for sure :)





    Im sorry, I meant Fly doesnt work in the nether. Im not sure about x ray. I will test it shortly. For some reason, I thought I was in the Fly thread. My bad. But THANK YOU SO VERY much for making this! You have made my sand box fun much more enjoyable! Thank you so much.
    Posted in: Minecraft Mods
  • 0

    posted a message on XRay Mod (1.6.4 - 1.11) ( Vanilla/Forge/LiteLoader )
    Thank you SO very much!!! This is great!

    I noticed it does not work in the nether? Any reason why it doesnt work in the nether?
    Posted in: Minecraft Mods
  • 0

    posted a message on 1.6.2 SERVER TO 1.7 SERVER TELEPORT MOD?
    Forgive me if this has been discussed. I couldn't find anything on it.

    Me and some friends are running a 1.6.2 server. We are interested in trying 1.7 once its released. We want to start the 1.7 map fresh, but we would like to be able to telleport back and forth from the 1.6.2 to the 1.7 map.

    I think the main reason we want this so we can go back and forth to get our inventory we have all saved up over time.

    Does anyone have any suggestions?


    Thanks!
    Posted in: Server Support and Administration
  • 0

    posted a message on Zan's and Xray
    Quote from Dweller_Benthos

    Oh yeah, most likely you are getting the tree grow crash, that happens with CJB sometimes. If a tree grows, there's an error with the CJB cheats and it crashes. Remove the CJB cheats zip file from your mods folder if you're going to be around growing trees.


    Oh I see. Well thank you for pointing that out. I removed the cheats part, but it removed fly mod. Which I want to keep though. Ideally, all I really want is xray, fly and minimap to work.

    For now, I reverted back to Craftsman xray and fly mod. Now if only I could get zans to work with those, I would be more than happy.

    Thanks again for all of your help Dweller!
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Hey Guys,

    Well it worked, but shortly after it crashed and minecraft wouldnt start anymore. I reinstall everything and it would crash at random again and stopped minecraft from working. So I went back to stock. I guess this just wasnt meant to be! Oh well. But at least I got to enjoy it for 15 minutes. Besides, 1.7 is comming so I wouldnt be able to use that much longer anyhow.

    Thanks again very much.
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Quote from Dweller_Benthos

    OK, first you have to decide whether you're going to use forge or modloader, from your error report, it looks like you're running the modloader version.

    OK, follow the modloader instructions, you make a copy of the 1.6.2 folder in the versions folder, etc, just follow the directions in the modloader install thread. The only bit that's not exactly correct is the bit where it says to open the minecraft.jar, that should be open 1.6.2.jar in 7zip, then delete meta-inf, etc.

    Once you have that done, go back to the launcher, make a new profile, and pick the modded version you just created, and run it. Hopefully it should work, you should now have a mods folder under the version folder you created previously.

    Now, player api is a bit more tricky, I think you're going to need the one listed under previous versions, minecraft 1.6.2, player api vanilla 1.1 (scroll down the thread a bit), grab that and open the zip, and drag and drop all the files and folders from it into the jar file that you just installed modloader into, which you should have open in another 7zip window. If you want to test here, close all 7zip windows, and try to run it, it should still work.

    Now, for the CJB stuff, you're going to need the 1.6.2 for modloader link, even though the file you get says 1.6.1, it works on 1.6.2.

    OK, in the Put in minecraft.jar - FOR XRAY ONLY folder there is a zip, open it in 7zip and drag & drop the files there into the minecraft jar file that you put the other files into, which you have opened in another 7zip window. That should be all you need to do in those files, so close those windows.

    Now, for the mods you want to run, those are in Put in Minecraft Folder\mods folder. You can drag all those zip files and put them in the mods folder that should now reside under the versions folder you created before, I have mine in .minecraft\versions\1.6.2Mods\mods but yours may be different depending on what you called the new folder when you created it.

    The other two folders about texture packs you can ignore, those are for the people who have a custom texture pack (resource pack now) and want to add/change the textures, but it should work if you just ignore those.


    I cant not even begin to tell you how thankful I am of your help. You sir, have finally solved my problems! I was using the wrong API. I was using the forge API on modloader because the way the mod creator listed things made me think forge/modloader types used the same API. Everything works now!

    Seriously man... Ive been trying to install this stuff for my singler player game for a couple days now. FINALLY I can use it!

    Thank you thank you thank you!
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Forge version doesnt work either. It just opens and closes minecraft with no error codes
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    FAIL: DWeller, thanks man. I do appreciate it. But Im about to throw my PC. I can follow directions, and to my knowledge, I am, but this just isnt working. I give up.

    ---- Minecraft Crash Report ----
    // Uh... Did I do that?

    Time: 10/17/13 11:46 AM
    Description: Exception occured in ModLoader

    java.lang.NoClassDefFoundError: cpw/mods/fml/common/network/IGuiHandler
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at java.security.SecureClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.access$100(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at ModLoader.addMod(ModLoader.java:323)
    at ModLoader.readFromModFolder(ModLoader.java:1193)
    at ModLoader.init(ModLoader.java:727)
    at ModLoader.addAllRenderers(ModLoader.java:191)
    at bgi.<init>(RenderManager.java:98)
    at bgi.<clinit>(RenderManager.java:14)
    at ats.O(SourceFile:343)
    at ats.d(SourceFile:599)
    at net.minecraft.client.main.Main.main(SourceFile:101)
    Caused by: java.lang.ClassNotFoundException: cpw.mods.fml.common.network.IGuiHandler
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 21 more


    A detailed walkthrough of the error, its code path and all known details is as follows:
    ---------------------------------------------------------------------------------------

    -- System Details --
    Details:
    Minecraft Version: 1.6.2
    Operating System: Windows 7 (amd64) version 6.1
    Java Version: 1.7.0_40, Oracle Corporation
    Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    Memory: 77727528 bytes (74 MB) / 128450560 bytes (122 MB) up to 954728448 bytes (910 MB)
    JVM Flags: 2 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G
    AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
    Suspicious classes: ModLoader, EntityRendererProxy, BaseMod, ...]
    IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
    ModLoader: Mods loaded: 4
    ModLoader 1.6.2
    mod_cjb_main 6.5.1
    mod_cjb_chat 6.5.1
    mod_cjb_cheats 6.5.1
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Quote from Dweller_Benthos

    Post your crash report.

    You can also try mcpatcher, it installs mods automatically. Also, be sure to install the playerAPI mod, it is required for CJB to work.


    The player API mod is a PITA to figure out. Do I use the normal one? The Forge one? If its the forge one, which I downloaded, its asking me to put it in the MOD folder. Well, does it matter that the Mod loader "mod" folder is inside the version folder? Where as Forges "mod" folder is in the main directory?

    Also, it says "extract the CJB.zip, and drop those file into 1.6.2ML.jar(modloader version jar)"

    Ok, well when I open the CJB zip, it shows me 4 folders?

    1.) put in 16x16 textures? Where is that?
    2.) put in 32x32 textures? where is that?
    3.) put in minecraft folder? I assume thats the MODS folder.
    4.) put into the actual jar.

    I can do #3 and 4. I have no clue where #1 and #2 go.

    God Im SO frustrated with this.

    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Quote from Dweller_Benthos

    You want the CJB version from here

    http://www.minecraft...dfml-modloader/

    there is a 1.6.2 version for both forge and modloader. Forge install requires a set of options to be turned on because the xray files modify the main jar and forge doesn't like that. Modloader install is pretty straight forward, install modloader in the jar (for 1.6.2 you use the one in the versions folder) and the xray files go in there as well, after modloader, then put the other mod files into the mods folder (after you run minecraft once, it will be created) under the versions folder you installed modloader into.



    Hi Dweller,

    First of all, thank you for trying to help me. I do appreciate it. I tried the ML version last night and either Im doing something wrong, or its crashing due to something else. I will try it one more time. I'll report back.
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    UGH! I give up. Why must everything be so difficult to install. Do this, do that, do this, do that, dance in a cirle, jump thru a ring of fire, start game. crash... haha!

    Why cant there be ONE mod loader that ALL mods must work in. I give up.
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Well, CJB mod doesnt work. At least not for me. Looking for 1.6.2 brings me to CJB mod 1.6.1 download and its not working. Ugh. Why do they make modding this game for freaking difficult!
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Quote from Dweller_Benthos

    If Zan's doesn't have a better way to download the mod, I'm not going to try it.

    Looking at the xray mod though, if they both use the same class file, you are out of luck.

    CJB's mods have both a minimap and xray built in. I'd give you the link, but forum search is giving me nothing right now.


    CJB's you say? Well, i will have to go find that sucker! I hope it works, if it does, you are the MAN! I will report back.

    Thank you very much~!
    Posted in: Mods Discussion
  • 0

    posted a message on Zan's and Xray
    Hi All,

    I know you guys dont like xray, but I enjoy it on my single player survivor game. Ive tried so many different ways to install these two mods, but I keep running into the AVG.CLASS error when using MC patcher.

    Does anyone here know exactly how to get them both to work?

    1.6.2 Minecraft

    xray mod Im trying to use:
    http://nikcraft.com/mods/xray/#dlv042

    Zans Mini map I'm trying to use:

    http://www.9minecraft.net/zans-minimap-mod/


    Can anyone help me out? Thanks!
    Posted in: Mods Discussion
  • To post a comment, please .